Page MenuHomePhabricator

[clang] Handle lrint/llrint builtins
ClosedPublic

Authored by zatrazz on May 16 2019, 11:28 AM.

Details

Summary

As for other floating-point rounding builtins that can be optimized
when build with -fno-math-errno, this patch adds support for lrint
and llrint. It currently only optimize for AArch64 backend.

This patch depends on https://reviews.llvm.org/D62017.

Diff Detail

Repository
rC Clang

Event Timeline

zatrazz created this revision.May 16 2019, 11:28 AM
zatrazz updated this revision to Diff 200291.May 20 2019, 8:13 AM

Updated patch based on D62026.

craig.topper accepted this revision.May 20 2019, 9:34 AM
craig.topper added a subscriber: craig.topper.

LGTM

This revision is now accepted and ready to land.May 20 2019, 9:34 AM
Closed by commit rC361878: [clang] Handle lrint/llrint builtins (authored by azanella, committed by ). · Explain WhyMay 28 2019, 2:17 PM
This revision was automatically updated to reflect the committed changes.